resource "incus_storage_volume" "forgejo_var_lib_forgejo" {
  name = "forgejo_var_lib_forgejo"
  pool = incus_storage_pool.default.name
}

resource "incus_instance" "forgejo" {
  name  = "forgejo"
  image = "forgejo-8.0.3-1benoitjpnet"

  device {
    name = "var_lib_forgejo"
    type = "disk"
    properties = {
      path   = "/var/lib/forgejo"
      source = incus_storage_volume.forgejo_var_lib_forgejo.name
      pool   = incus_storage_pool.default.name
    }
  }
}
